Subject: bug#24857: emacs24/25 FTBFS since a long time on GNU/Hurd

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Sep 2017 17:27:24 +0300

> From: Svante Signell <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 02 Sep 2017 16:10:18 +0200
> 
> Sorry for not responding so far. I tried the rebuild and it failed
> then. After that emacs25 sometimes succeeds and sometimes fails to
> build on Hurd buildds. Mostly fails unfortunately.
> Examples:
>  25.1+1-1: fails
>  25.1+1-2: fails
>  25.1+1-3: succeeds
>  25.2+1-2: succeeds
>  25.2+1-5: buildd hangs
> 
> So the problem persists, even if the Debian package build is now
> different. I don't expect that a build from Emacs master would succeed,
> if built the Debian way with three targets: build-nox, build-x and
> build-lucid. When I tried with the master sources the largest problem
> was when enabling X. Still the same problems with Emacs
> internal/external malloc-related code exist.

Please do try the master branch, as the memory allocation code has
changed considerably there.

Thanks.